Package org.kie.api.fluent

## Interface ProcessBuilder

- All Superinterfaces:
    `NodeBuilder<ProcessBuilder,​ProcessBuilder>`, `NodeContainerBuilder<ProcessBuilder,​ProcessBuilder>`

      public interface ProcessBuilder
      extends NodeContainerBuilder<ProcessBuilder,​ProcessBuilder>

  Builder that contains methods to create a process definition.
  See Also:
    `ProcessBuilderFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Process` | `build()` | Validates and returns process definition. Should be invoked after all other method calls.
    `ProcessBuilder` | `dynamic​(boolean dynamic)` |
    `ProcessBuilder` | `functionImports​(java.util.Collection<java.lang.String> functionImports)` |
    `ProcessBuilder` | `global​(java.lang.String name, java.lang.String type)` |
    `ProcessBuilder` | `globals​(java.util.Map<java.lang.String,​java.lang.String> globals)` |
    `ProcessBuilder` | `imports​(java.util.Collection<java.lang.String> imports)` |
    `ProcessBuilder` | `packageName​(java.lang.String packageName)` |
    `ProcessBuilder` | `swimlane​(java.lang.String name)` |
    `ProcessBuilder` | `version​(java.lang.String version)` |

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, name, setMetadata`

    - ### Methods inherited from interface org.kie.api.fluent.NodeContainerBuilder

      `actionNode, boundaryEventNode, compositeNode, connection, dynamicNode, endNode, eventNode, exceptionHandler, faultNode, forEachNode, humanTaskNode, joinNode, milestoneNode, ruleSetNode, splitNode, startNode, subProcessNode, timerNode, variable, workItemNode`

- - ### Method Detail

    - #### dynamic

          ProcessBuilder dynamic​(boolean dynamic)

    - #### version

          ProcessBuilder version​(java.lang.String version)

    - #### packageName

          ProcessBuilder packageName​(java.lang.String packageName)

    - #### imports

          ProcessBuilder imports​(java.util.Collection<java.lang.String> imports)

    - #### functionImports

          ProcessBuilder functionImports​(java.util.Collection<java.lang.String> functionImports)

    - #### globals

          ProcessBuilder globals​(java.util.Map<java.lang.String,​java.lang.String> globals)

    - #### global

          ProcessBuilder global​(java.lang.String name,
                                java.lang.String type)

    - #### swimlane

          ProcessBuilder swimlane​(java.lang.String name)

    - #### build

          Process build()

      Validates and returns process definition.
      Should be invoked after all other method calls.
      Returns:
        validated process definition